Page MenuHomePhabricator

test_image_usage_no_redirect_filter failure
Closed, DeclinedPublic

Description

First notices in bug 71971 comment 8

https://travis-ci.org/wikimedia/pywikibot-core/jobs/37948029

Then comment 14

https://travis-ci.org/wikimedia/pywikibot-core/jobs/38570786

And now another case

https://travis-ci.org/wikimedia/pywikibot-core/jobs/40263130

FAIL: test_image_usage_no_redirect_filter (tests.site_tests.TestImageUsage)

Test the site.imageusage() method with redirects.

Traceback (most recent call last):

File "/home/travis/build/wikimedia/pywikibot-core/tests/site_tests.py", line 698, in test_image_usage_no_redirect_filter
  self.assertFalse(using.isRedirectPage())

AssertionError: True is not false

The three builds have all been en.wikipedia.

One potential possibility is that the page stops being a redirect during the test run, in which case the 'bug' is in the test case, and not in pywikibot.


Version: core-(2.0)
Severity: major

Details

Reference
bz73120

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:56 AM
bzimport added a project: Pywikibot-tests.
bzimport set Reference to bz73120.
bzimport added a subscriber: Unknown Object (????).
jayvdb created this task.Nov 7 2014, 6:43 AM

Change 171814 had a related patch set uploaded by XZise:
Identify which page is no redirect

https://gerrit.wikimedia.org/r/171814

Change 171814 merged by jenkins-bot:
Identify which page is no redirect

https://gerrit.wikimedia.org/r/171814

XZise added a comment.Nov 8 2014, 12:06 AM

Okay due to the patch we now know it's not that suddenly the page became a non-redirect:

https://travis-ci.org/wikimedia/pywikibot-core/jobs/40348621#L446

So there is something else wrong.

XZise added a comment.Nov 8 2014, 12:12 AM

Maybe there is a side effect. I checked all four occurences listed here and for all of them the test before 'test_image_usage_in_redirects' failed. I also checked a some other successful tests and there 'test_image_usage_in_redirects' hasn't failed.

The four also are always python 3.3 builds.

Again .. a python 3.3 build, and the error occurs after 'test_image_usage_in_redirects' failed.

https://travis-ci.org/wikimedia/pywikibot-core/jobs/40715242

XZise added a comment.Nov 14 2014, 1:41 PM

And again in both cases the test before that failed.

And another
https://travis-ci.org/wikimedia/pywikibot-core/jobs/41216356

they all match the same scenario - py3, incorrect data after an exception, so im making this block our py3 port bug and increasing the importance, as incorrect data leaking across page generators doesnt sound particularly good.

XZise added a comment.Nov 18 2014, 1:40 AM

And another: https://travis-ci.org/wikimedia/pywikibot-core/jobs/41313071#L483

This issue is weird as I can't see how something could get stuck, except maybe in httplib so it returns the value on the next request. Unfortunately I don't know how I could disrupt it locally so that I get that error too. I tried throwing exceptions in the loop but it didn't care.

jayvdb moved this task from Backlog to Test failures on the Pywikibot-tests board.Nov 29 2014, 4:56 PM
jayvdb added a comment.Dec 9 2014, 1:12 AM

And another. https://travis-ci.org/jayvdb/pywikibot-core/jobs/43413736

When nosetests is working, we can switch the 3.3 enwp build to nosetests, which .. 'should' .. give us a log.

Xqt closed this task as Declined.Aug 3 2018, 7:30 PM
Xqt added a subscriber: Xqt.

py 3.3 is no longer supported by pwb